## com.google.gwt.user.client.ui
Interface ScrollListener

All Superinterfaces:
  java.util.EventListener

Deprecated. use `ScrollHandler` instead

    @Deprecated
    public interface ScrollListener

extends java.util.EventListener

Event listener interface for scroll events.

Method Summary
`void` | `onScroll(Widget widget, int scrollLeft, int scrollTop)` Deprecated. Fired when the sender is scrolled.

Method Detail

### onScroll

    void onScroll(Widget widget,
                  int scrollLeft,
                  int scrollTop)

  Deprecated.
  Fired when the sender is scrolled.

  Parameters:
    `widget` - the widget being scrolled.
    `scrollLeft` - the left scroll position.
    `scrollTop` - the top scroll position.